Google Voice iPhone App Official

Google Voice Blog: Finally. The minimum requirement is an iPhone with iOS 3.1 and that you live in the US.